列出公司的 UBO
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "4584b476-ccc6-4e98-be40-0c5082748e35",
"companyId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"personId": "c1e384f5-ae1c-475e-9e64-a0abe533a96f",
"ownershipPercentage": 60,
"controlRole": "CEO",
"validFrom": "2024-01-15",
"validTo": null,
"createdAt": "2024-01-15T17:20:47Z"
},
{
"id": "2c203b2b-5f92-427d-a75f-92981e2719bf",
"companyId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"personId": "8f5b2c9a-1caf-4b2c-b085-82bbaead6ddd",
"ownershipPercentage": 40,
"controlRole": "PARTNER",
"validFrom": "2023-06-01",
"validTo": null,
"createdAt": "2024-01-15T17:20:48Z"
}
]
}UBO
列出公司的最终受益所有人
GET
/
api
/
entity
/
v1
/
entities
/
{companyId}
/
ubos
列出公司的 UBO
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "4584b476-ccc6-4e98-be40-0c5082748e35",
"companyId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"personId": "c1e384f5-ae1c-475e-9e64-a0abe533a96f",
"ownershipPercentage": 60,
"controlRole": "CEO",
"validFrom": "2024-01-15",
"validTo": null,
"createdAt": "2024-01-15T17:20:47Z"
},
{
"id": "2c203b2b-5f92-427d-a75f-92981e2719bf",
"companyId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"personId": "8f5b2c9a-1caf-4b2c-b085-82bbaead6ddd",
"ownershipPercentage": 40,
"controlRole": "PARTNER",
"validFrom": "2023-06-01",
"validTo": null,
"createdAt": "2024-01-15T17:20:48Z"
}
]
}列出公司的有效 UBO 关联,按创建日期排序。设置 includeEnded=true 时包含已结束的关联。
- 响应仅包含标识符;请使用获取实体(Get an Entity)读取每个人的信息。
code 的 application/problem+json。完整目录:实体状态与错误码。授权
请求头
最后修改于 2026年11月10日

